FROM artefact.skao.int/ska-cicd-cpp-build-base:0.2.10 AS builder
ENV DEBIAN_FRONTEND noninteractive
WORKDIR /mnt/ska-pst-recv

# Initialise apt cache
RUN apt-get update -y

# Copy Repository files
ENV BUILD_CONTEXT=. \
    TARGET_DIR=.
COPY ${BUILD_CONTEXT} ${TARGET_DIR}

# Replicate Pipeline Steps
RUN apt-get update -y \
    && apt-get install -y git make $(cat system_deps_diff.txt)    

CMD ["bash"]